Integrations
Base URL: https://webvyze.com/api/v1 · click an endpoint for its scope, parameters, example and responses.
GET/integrationsIntegrations of the account
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/integrations
POST/integrationsConnect an integration
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/integrationsDELETE/integrations/{integration}Remove an integration
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Path parameters
{integration} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/integrations/{integration}POST/integrations/{integration}/syncSync an analytics or ads integration now
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Path parameters
{integration} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/integrations/{integration}/syncPOST/integrations/{integration}/testTest an integration
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Path parameters
{integration} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/integrations/{integration}/testPOST/issues/{issue}/tasksOpen a task for an issue in Jira, Linear…
Needs a token with api:write. Needs the issues.manage permission in the account.
- Scope
api:write- Path parameters
{issue} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/issues/{issue}/tasksGET/sites/{site}/insightsAnalytics and ads insights of a site
Needs access to the site, when there is one.
- Scope
api:read- Path parameters
{site} integer- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \
https://webvyze.com/api/v1/sites/{site}/insights